| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_radix2_instance_q15 Struct Reference

Instance structure for the Q15 CFFT/CIFFT function.

## Data Fields
uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
q15_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor

## Field Documentation

uint8_t arm_cfft_radix2_instance_q15::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Referenced by arm_cfft_radix2_init_q15().

uint16_t arm_cfft_radix2_instance_q15::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().

uint16_t arm_cfft_radix2_instance_q15::fftLen

length of the FFT.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().

uint8_t arm_cfft_radix2_instance_q15::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().

uint16_t* arm_cfft_radix2_instance_q15::pBitRevTable

points to the bit reversal table.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().

q15_t* arm_cfft_radix2_instance_q15::pTwiddle

points to the Sin twiddle factor table.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().

uint16_t arm_cfft_radix2_instance_q15::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_cfft_radix2_init_q15(), and arm_cfft_radix2_q15().